[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FileSetAttr

Set the attributes of a file.

## Declaration

Source position: filutilh.inc line 103

`function FileSetAttr(`
`const Filename: string;`
`Attr: LongInt`
`):LongInt;`

## Description

FileSetAttr sets the attributes of FileName to Attr. If the function was successful, 0 is returned, -1 otherwise. Attr can be set to an OR-ed combination of the pre-defined faXXX constants.

This function is not implemented on Unixes.

## Errors

On error, -1 is returned (always on Unixes).

## See also

FileGetAttr |  | Return attributes of a file.
FileGetDate |  | Return the file time of an opened file.
FileSetDate |  | Set the date of a file.

Documentation generated on: Feb 26 2014